{ config, lib, pkgs, ... }:

{
  imports = [];

  environment.systemPackages = with pkgs; [
    alacritty
    firefox
  ];

  environment.sessionVariables = {
    WLR_RENDERER_ALLOW_SOFTWARE = "1";
  };

  programs.sway = {
    enable = true;
    wrapperFeatures.gtk = true;
    extraOptions = [
      "--debug"
      "--config"
      "${./files/config}"
      "--unsupported-gpu"
    ];
  };

  programs.gnupg.agent = {
    enable = true;
    enableSSHSupport = true;
  };
}
